/* The following styles apply to the main navigation menu */

.cbp-hrmenu {
	width: 100%;
	margin-left: auto;
	margin-right: auto;
	margin-bottom: 2em;
	border-bottom: 2px solid rgb(26, 39, 62);
	box-sizing: border-box;
	text-align: center;
}

	/* Reset styles for list items */

	.cbp-hrmenu ul {
		margin: 0;
		padding-left: 0;
		list-style-type: none;


	}

	/* Styles for the top-level menu and sub-menu container */

	.cbp-hrmenu > ul,
	.cbp-hrmenu .cbp-hrsub-inner {
		width: 100%;
		margin: 0 auto;
	}

		/* Styles for individual menu items */

		.cbp-hrmenu > ul > li {
			display: inline-block;
			margin-right: 1em;
		}

			.cbp-hrmenu > ul > li > a {
				font-weight: 500;
				padding: 1em 0.7em;
				color: #666;
				display: inline-block;
				transition: color 0.3s;
			}

				/* Hover and open menu item styles */

				.cbp-hrmenu > ul > li > a:hover,
				.cbp-hrmenu > ul > li.cbp-hropen a,
				.cbp-hrmenu > ul > li.cbp-hropen > a:hover {
					color: #fff !important;
					background-color: rgb(26, 39, 62);
				}

	/* Sub-menu styles */

	.cbp-hrmenu .cbp-hrsub {
		text-align: left;
		display: none;
		position: absolute;
		background-color: rgb(26, 39, 62);
		width: 100%;
		left: 0;
		box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
		transition: all 0.3s;
	}

/* Styles for open sub-menu */

.cbp-hropen .cbp-hrsub {
	display: block;
}

/* Styles for sub-menu inner content */

.cbp-hrmenu .cbp-hrsub-inner {
	display: flex;
	flex-wrap: wrap;
	align-items: stretch;
	justify-content: flex-start;
	align-content: center;
}

	/* Styles for individual sub-menu items */

	.cbp-hrmenu .cbp-hrsub-inner > div {
		float: left;
		display: block;
		flex-grow: 1;
		border-radius: 0.25rem;
		background-color: rgb(58 87 138 / 57%);
		padding: 0.5rem 2rem 1.5rem 1rem;
		margin: 0.75rem;
	}

		/* Styles for links within sub-menu items */

		.cbp-hrmenu .cbp-hrsub-inner > div a {
			line-height: 1.6;
			/*margin-left: 24px;*/
			color: #fff;
			text-decoration: none;
		}

/* Styles for sub-menu headings */

.cbp-hrsub h4 {
	color: #dfdfdf;
	padding: 0.6em 0 0.6em;
	margin: 0;
	font-size: 18px;
	font-weight: 400;
}

/* Media queries for responsive design */

@media screen and (max-width: 52.75em) {
	.cbp-hrmenu {
		font-size: 90%;
	}
}

@media screen and (max-width: 43em) {
	.cbp-hrmenu > ul > li {
		display: block;
		margin-right: 0;
		/*border-bottom: 4px solid rgb(52, 78, 124);*/
	}

		.cbp-hrmenu > ul > li > a {
			display: block;
			padding: 1em 2em;
		}

	.cbp-hrmenu .cbp-hrsub {
		position: relative;
	}

	.cbp-hrmenu .cbp-hrsub-inner > div {
		width: 100%;
		float: none;
		padding: 0 1em;
	}
}

@media screen and (max-width: 36em) {
	.cbp-hrmenu .cbp-hrsub-inner > div {
		padding: 0 1em;
	}
}

/* Styles for active menu nodes */

.activeMenuNode {
	color: rgb(4, 7, 10) !important;
	font-weight: bold !important;
}

	.activeMenuNode:hover {
		color: #fff !important;
	}

/* Additional styles for specific menu items */

a.mainNodeItem {
	border-radius: 0.25rem 0.25rem 0 0 !important;
}
